Skip to main content
GET
Read a limit request

Authorizations

Authorization
string
header
required

Bearer authentication header on the format Bearer <API_KEY>.

Path Parameters

id
string<uuid>
required

Customer's unique identifier.

limitRequestId
string<uuid>
required

Limit request's unique identifier.

Response

200 - application/json

Resource successfully retrieved.

id
string<uuid>

Limit request's unique identifier.

Example:

"b2e1a2d4-1234-4a3b-9c4d-5e6f7a8b9c0d"

customerId
string<uuid>

Customer's unique identifier.

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

requested
object

Limits requested by the customer.

approved
object

Limits approved by compliance. Each value is null until reviewed.

supportingDocumentType
string | null
Example:

"LIMIT_REQUEST_BANK_STATEMENT"

supportingDocumentId
string | null
Example:

"9d1e2f3a-4b5c-6d7e-8f90-1a2b3c4d5e6f"

status
enum<string>

Current status of the limit request.

Available options:
IN_REVIEW,
APPROVED,
PARTIALLY_APPROVED,
REJECTED
Example:

"IN_REVIEW"

reviewComment
string | null

Compliance's comment. Set when rejected or partially approved.

Example:

null

createdAt
string<date-time>
Example:

"2024-01-15T10:00:00Z"

updatedAt
string<date-time>

Also the review timestamp once the request leaves IN_REVIEW.

Example:

"2024-01-15T10:00:00Z"